body {
  font-family: 'Dosis', sans-serif;
}

.login-design {
  display: grid;
  grid-template-columns: repeat(2, 50%);
  height: 100vh;
}

.waves {
  background-image: url('../assets/imagenes//wave.png');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  display: flex;
  justify-content: center;
  align-items: center;
}

.login {
  display: flex;
  justify-content: center;
  align-items: center;
}

.login-data {
  text-align: center;
  width: 60%;
}

.login-data h1 {
  font-weight: 400;
}

.input-group {
  position: relative;
  width: 60%;
  margin: 0 auto;
  margin-bottom: 1.5rem;
}

.input-fill input {
  border: none;
  border-bottom: 3px solid #848f9a;
  width: 100%;
  height: 2rem;
  font-size: 1.0625rem;
  padding-left: 2rem;
  line-height: 147.6%;
  padding-top: 1rem;
  padding-bottom: 0.5rem;
}

.input-fill input:focus {
  outline: none;
  border-color: #6c1aef;
}

.input-fill input:hover {
  background-color: #e9ecef;
}

.input-fill input:focus + .input-label{
  top: 0;
  margin-bottom: 2rem;
  color: #6c1aef;
}

.input-fill input:focus ~ i {
  color: #6c1aef;
}

.input-fill input:not([value=""]){
  border-color: #6c1aef;
}

.input-fill input:not([value=""]) + .input-label{
  top: 0;
  margin-bottom: 2rem;
  color: #6c1aef;
}

.input-fill input:not([value=""])~ i {
  color: #6c1aef;
}


.input-fill .input-label {
  position: absolute;
  top: 20px;
  left: 28px;
  line-height: 147.6%;
  color: #848f9a;
  transition: top 0.2s;
  font-weight: 700;
}

.input-fill i {
  position: absolute;
  top: 19px;
  left: 0;
  color: #848f9a;
  font-size: 1.5rem;
}

.login-form a {
  display: block;
  width: 85%;
  text-align: right;
  text-decoration: none;
  color: #848f9a;
  margin-bottom: 1.3rem;
  font-weight: 800;
  transition: 0.3s ease-in-out all;
  font-size: 18px;
}

.login-form a:hover {
  color: #6c1aef;
}

.btn-login {
  border-radius: 3rem;
  width: 45%;
  border: 1px solid #6c1aef;
  line-height: 1.6rem;
  font-size: 1.3rem;
  background-color: #6c1aef;
  color: #ffffff;
  padding: 0.5rem 0;
  transition: 0.3s ease-in-out all;
  font-weight: 500;
}

.btn-login:hover {
  cursor: pointer;
  background-color: #ffffff;
  color: #6c1aef;
}

.alerta {
    padding: 6px;
    font-size: 14px;
    color: white;
    position: fixed;
}

.alerta-error {
  color: red;
}

.alerta-error i{
  margin-right: 2px;
}